List Function Runtime

Purpose

Use this API to retrieve the list of all runtimes supported for Zoho CRM Functions. The response contains the programming language, runtime identifier, and whether the runtime is deprecated.

Endpoints

  • GET /settings/functions/__schemas/runtimes

Request Details

Request URL

{api-domain}/crm/{version}/settings/functions/__schemas/runtimes

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.functions.READ
(or)
ZohoCRM.settings.functions.ALL
(or)
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/functions/__schemas/runtimes"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON

The runtimes JSON array contains the runtimes array, where each object represents a supported function runtime.

  • languagestring

    Represents the programming language supported by the runtime. 

  • runtimestring

    Represents the runtime identifier for the function. 

    Possible values:

    Deluge 1.0 - Executes the function using the Deluge runtime.
    NodeJS 8 - Executes the function using the Node.js 8 runtime.
    NodeJS 22 - Executes the function using the Node.js 22 runtime.
    Java 8 - Executes the function using the Java 8 runtime.
    Java 17 - Executes the function using the Java 17 runtime.
    Python 3.12 - Executes the function using the Python 3.12 runtime.

    Use the value returned by this API when specifying the runtime while creating a function.

  • deprecatedBoolean

    Represents whether the runtime is deprecated. 
    Possible values: 
    true - The runtime is still supported for existing functions, but it is not recommended for new functions.
    false - The runtime is currently supported and can be used for both new and existing functions.

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to list function Runtimes in Zoho CRM. Create a new access token with the required scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • NO_PERMISSIONHTTP 403

    Permission denied.
    Resolution: The user does not have permission to list function runtime. Contact your Zoho CRM administrator to obtain the required permissions.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "runtimes": [
        {
            "deprecated": false,
            "runtime": "Deluge 1.0",
            "language": "Deluge"
        },
        {
            "deprecated": false,
            "runtime": "Java 8",
            "language": "Java"
        },
        {
            "deprecated": false,
            "runtime": "Java 17",
            "language": "Java"
        },
        {
            "deprecated": false,
            "runtime": "NodeJS 8",
            "language": "Node JS"
        },
        {
            "deprecated": false,
            "runtime": "NodeJS 22",
            "language": "Node JS"
        },
        {
            "deprecated": false,
            "runtime": "Python 3.12",
            "language": "Python"
        }
    ]
}